#!/bin/sh
######################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################
cd /home/streamsadmin/components/trade/TradeSummary
sc -M com.ibm.sifs.pnd.sa.tradesummary::TradeSummaryMain

cd /home/streamsadmin/components/trade/PositionSummary
sc -M com.ibm.sifs.pnd.sa.positionsummary::PositionSummaryMain -t /opt/ibm/InfoSphere_Streams/4.2.0.2/toolkits/com.ibm.streamsx.hdfs:

cd /home/streamsadmin/components/trade/com.ibm.sifs.pnd.sa.pndrules
sc -M com.ibm.sifs.pnd.sa.pndrules::PnDRulesMain

cd /home/streamsadmin/components/trade/ProcessAlert
sc -M com.ibm.sifs.util::ProcessAlert -t /opt/ibm/InfoSphere_Streams/4.2.0.2/toolkits/com.ibm.streamsx.json:/opt/ibm/InfoSphere_Streams/4.2.0.2/toolkits/com.ibm.streamsx.messaging:/home/streamsadmin/components/toolkits/Security/SIFSSecurity:

cd /home/streamsadmin/components/trade/PNDPersistence
sc -M com.ibm.sifs.pnd::PNDPersistence -t /opt/ibm/InfoSphere_Streams/4.2.0.2/toolkits/com.ibm.streamsx.messaging:/opt/ibm/InfoSphere_Streams/4.2.0.2/toolkits/com.ibm.streamsx.json:/home/streamsadmin/components/toolkits/Security/SIFSSecurity:/home/streamsadmin/components/trade/toolkits/SurveillanceBase:/opt/ibm/InfoSphere_Streams/4.2.0.2/toolkits/com.ibm.streamsx.hdfs:

cd /home/streamsadmin/components/trade/DataLoader
sc -M com.ibm.sifs.utils.loader::LoaderMain  -t /opt/ibm/InfoSphere_Streams/4.2.0.2/toolkits/com.ibm.streamsx.messaging:/opt/ibm/InfoSphere_Streams/4.2.0.2/toolkits/com.ibm.streamsx.json:/home/streamsadmin/components/toolkits/Security/SIFSSecurity:/home/streamsadmin/components/trade/toolkits/SurveillanceBase:/opt/ibm/InfoSphere_Streams/4.2.0.2/toolkits/com.ibm.streamsx.hdfs:
