######################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################
/usr/hdp/current/spark2-client/bin/spark-submit --class com.ibm.sifs.trade.persistence.TradeEvidencePersistence --master yarn --deploy-mode cluster --driver-memory 1g --executor-memory 2g --keytab /etc/security/keytabs/sifsuser.keytab --principal sifsuser@IBM.COM --jars /usr/hdp/current/spark2-client/jars/spark-yarn_2.11-2.2.0.2.6.4.0-91.jar --conf="spark.driver.extraClassPath=/home/sifsuser/lib/kafka-clients-0.10.0.1.jar:/home/sifsuser/lib/kafka-clients-0.10.0.1.jar:/home/sifsuser/lib/*:/usr/hdp/current/spark2-client/jars/*" --conf="spark.driver.extraJavaOptions=-Djavax.net.ssl.trustStore=/home/sifsuser/security/fci_universal_ks.jks -Djavax.net.ssl.trustStorePassword=PltAdmin1PltAdmin1 -Djava.security.auth.login.config=/usr/hdp/2.6.4.0-91/kafka/conf/kafka_client_jaas_sifs.conf" --conf="spark.yarn.jars=/usr/hdp/current/spark2-client/jars/spark-yarn_2.11-2.2.0.2.6.4.0-91.jar" --conf="spark.executor.extraClassPath=/home/sifsuser/lib/kafka_2.11-0.10.0.1.jar:/home/sifsuser/lib/kafka-clients-0.10.0.1.jar:/home/sifsuser/lib/db2jcc4.jar:/home/sifsuser/lib/*:/home/sifsuser/lib/bigdata.kafkasecurity-2.0.3-SNAPSHOT.jar:/home/sifsuser/lib/ibmpkcs.jar:/home/sifsuser/lib/bigdata.sifsservicesclient-2.0.3-SNAPSHOT.jar:/usr/hdp/current/spark2-client/jars/*" --conf="spark.executor.extraJavaOptions=-Djavax.net.ssl.trustStore=/home/sifsuser/security/fci_universal_ks.jks -Djavax.net.ssl.trustStorePassword=PltAdmin1PltAdmin1 -Djava.security.auth.login.config=/usr/hdp/2.6.4.0-91/kafka/conf/kafka_client_jaas_sifs.conf" /home/sifsuser/lib/bigdata.tradeevidencepersistence-2.0.3-SNAPSHOT.jar /home/sifsuser/lib/sifs.spark.properties